sc::VWN1LCFunctional(3)

NAME
sc::VWN1LCFunctional -

The VWN1LCFunctional computes energies and densities using the VWN1 local correlation term (from Vosko, Wilk, and Nusair)'.

SYNOPSIS

#include <functional.h>

Inherits sc::VWNLCFunctional'.

  Public Member Functions
VWN1LCFunctional ()
Construct a VWN1 functional using Monte-Carlo parameters'.
VWN1LCFunctional (int use_rpa)
Construct a VWN1 functional using the RPA parameters'.
VWN1LCFunctional (const Ref< KeyVal > &)
Construct a VWN1 functional using the Monte-Carlo parameters by default'.
VWN1LCFunctional (StateIn &)
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them'.
void point_lc (const PointInputData &, PointOutputData &, double &, double &, double &)

  Protected Attributes
double x0p_
double bp_
double cp_
double x0f_
double bf_
double cf_

Detailed Description

The VWN1LCFunctional computes energies and densities using the VWN1 local correlation term (from Vosko, Wilk, and Nusair)'.

Constructor & Destructor Documentation

  sc::VWN1LCFunctional::VWN1LCFunctional (const Ref< KeyVal > &)

Construct a VWN1 functional using the Monte-Carlo parameters by default'. If rpa is set to true, then load the RPA paramenters'. Furthermore, each value can be overridden by assigning to x0p, bp, cp, x0f, bf, and/or cf'.

Member Function Documentation

  void sc::VWN1LCFunctional::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them'. This must be implemented by the derived class if the class has data'.

Reimplemented from sc::VWNLCFunctional'.

Author

Generated automatically by Doxygen for MPQC from the source code'.